import React, { FunctionComponent, ReactElement } from "react";
import IPostListProps from "./IPostListProps";
import Post from "../Post/Post";


const PostList: FunctionComponent<IPostListProps> = (props): ReactElement => {
    return (
        <div className="PostList">
            {props.posts.length ? 
                props.posts.map(p => {
                    return <Post
                        key={p._id}
                        post={p}
                    />
                }): <h1>No posts</h1>}
        </div>
    )
}

export default PostList